> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get import user locations progress

> Retrieve the progress of the Import User Locations API request.



## OpenAPI

````yaml /openapi-specs/timmi-office.yaml get /work-locations/public/api/imports/user-locations/progress
openapi: 3.1.0
info:
  title: Lucca Office
  version: '1.0'
  description: >
    Welcome on the documentation for the Lucca Office API.


    Lucca Office indicates where the teams are, whether they are in the office,
    visiting a client or at home.

    This API allows you to retrieve this information, using 2 resources:

    * The WorkLocations, which describe possible work locations. These locations
    can be physical, like an office, but also abstract like remote work or
    travel.

    * The UserLocations, which inform the associated workLocation for an
    employee and a date.


    Currently it only supports GET methods to retrieve information.

    If you have any additional needs, you can address them to the Lucca support
    team, and we will review them.


    It is not conforming to the "v3 API" constraints. Main differences are:

    - All available fields are systematically returned. Fields sets may be
    differente between endpoints for resources collections and single resources.

    - Paging is controlled through page token and limit parameter.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: UserLocations
    description: Indicates where an employee is on a given date.
  - name: WorkLocations
    description: >-
      Represents the different types of work-locations an employee can work
      from.
  - name: Imports
    description: Imports useful for Office
paths:
  /work-locations/public/api/imports/user-locations/progress:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Imports
      summary: Get import user locations progress
      description: Retrieve the progress of the Import User Locations API request.
      operationId: get-office-api-imports-userLocations-progress
      parameters:
        - schema:
            type: string
          in: query
          name: summaryId
          required: true
          description: Identifier of the import
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  progress:
                    type: integer
                    example: 43
                description: 0:not started, 1-99:in progress, 100:success
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string

````